### Method

# EDataServer SourceProxy set_ignore_hosts

since: 3.12

#### Declaration [src]

    void
    e_source_proxy_set_ignore_hosts (
      ESourceProxy* extension,
      const gchar* const* ignore_hosts
    )

#### Description [src]

Sets the hosts which are connected to directly, rather than via the proxy (if it is active). The array elements can be hostnames, domains (using an initial wildcard like *.foo.com), IP host addresses (both IPv4 and IPv6) and network addresses with a netmask (something like 192.168.0.0/24).

Available since: 3.12

Sets property | `EDataServer.SourceProxy:ignore-hosts`

#### Parameters

`ignore_hosts`

  Type: `const gchar* const*`

  A `NULL`-terminated string array of hosts.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.